# encoding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'krpcx/version'

Gem::Specification.new do |s|
  s.name          = "krpcx"
  s.version       = KRPCX::VERSION
  s.authors       = ["Tomasz Więch"]
  s.email         = ["tewu.dev@gmail.com"]

  s.summary       = "Extending kRPC-rb"
  s.description   = "Extending kRPC-rb"
  s.homepage      = ""
  s.license       = "MIT"

  s.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(doc|test|spec|features|bin)/|Rakefile|CHANGELOG}) || f.start_with?('.') }
  s.require_paths = ["lib"]

  s.required_ruby_version = ">= 2.1.0"

  s.add_runtime_dependency "krpc", "~> 0.4.0.beta"
  s.add_runtime_dependency "pry", "~> 0.11"
  s.add_development_dependency "bundler", "~> 1.15"
  s.add_development_dependency "rspec", "~> 3.6"
  s.add_development_dependency "rake", "~> 12.1"
end
